All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.security
Class LoginCallbackHandler

    com.sas.services.security.LoginCallbackHandler

All Implemented Interfaces:
  java.io.Serializable, javax.security.auth.callback.CallbackHandler

    public class LoginCallbackHandler

implements java.io.Serializable, javax.security.auth.callback.CallbackHandler

Login callback handler.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`LoginCallbackHandler(UserContextInterface user, UserIdentityInterface ident, java.util.Map options)` Constructs a login callback handler for the specified user context, identity, and options.

Method Summary
`static java.util.Map` | `getDelegateOptionMap(java.util.Map optionMap)`
`void` | `handle(javax.security.auth.callback.Callback[] callbacks)` Handles the login callback.
`void` | `setContext(UserContextInterface user)` Sets the user's context.
`void` | `setDomain(java.lang.String domain)`
`void` | `setIdentity(UserIdentityInterface ident)` Sets the user's identity.
`void` | `setOptions(java.util.Map options)` Sets options.

Constructor Detail

### LoginCallbackHandler

    public LoginCallbackHandler(UserContextInterface user,
                                UserIdentityInterface ident,
                                java.util.Map options)

  Constructs a login callback handler for the specified user context, identity, and options.

  Parameters:
    `user` - User context
    `ident` - User identity
    `options` - Options

Method Detail

### setIdentity

    public void setIdentity(UserIdentityInterface ident)

  Sets the user's identity.

  Parameters:
    `ident` - User's identity.

### setContext

    public void setContext(UserContextInterface user)

  Sets the user's context.

  Parameters:
    `user` - User's context.

### setOptions

    public void setOptions(java.util.Map options)

  Sets options.

  Parameters:
    `options` -

### setDomain

    public void setDomain(java.lang.String domain)

### handle

    public void handle(javax.security.auth.callback.Callback[] callbacks)
                throws javax.security.auth.callback.UnsupportedCallbackException

  Handles the login callback.

  Specified by:
    `handle` in interface `javax.security.auth.callback.CallbackHandler`
  Parameters:
    `callbacks` - Callbacks
  Throws:
    `javax.security.auth.callback.UnsupportedCallbackException` - if an invalid callback is encountered.

### getDelegateOptionMap

    public static java.util.Map getDelegateOptionMap(java.util.Map optionMap)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.